﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FormatCellValue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
             ObservableCollection<Data> data = new ObservableCollection<Data>();

                data.Add(new Data()
                {
                    Label = "Item1",
                    Open = 4,
                    Close = 22369,
                   
                });

                data.Add(new Data()
                {
                    Label = "Item2",
                    Open = 44,
                    Close = 2252,

                });
                data.Add(new Data()
                {
                    Label = "Item3",
                    Open = 5470,
                    Close = 4,

                });
                data.Add(new Data()
                {
                    Label = "Item4",
                    Open = 12114,
                    Close = 22,

                });

                data.Add(new Data()
                {
                    Label = "Item5",
                    Open = 3211,
                    Close = 2002,

                });

                MyGrid.DataContext = data;
        }
    }
    
    public class Data : INotifyPropertyChanged
    {
        private int open;
        private int close;
        private string label;
  


        public string Label
        {
            get { return label; }
            set
            {
                label = value;
                PropChanged("Label");
            }
        }

        public int Open
        {
            get { return open; }
            set
            {
                open = value;
                PropChanged("Open");
            }
        }

        public int Close
        {
            get { return close; }
            set
            {
                close = value;
                PropChanged("Close");
            }
        }

         public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }

}
    

        
          

            

       
				

